uploadify插件在IE下的BUG-阿里云开发者社区

开发者社区> 开发与运维> 正文

uploadify插件在IE下的BUG

简介: 版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/chengyi_L/article/details/46415717 项目用到了uploadify插件,在调试IE兼容性的时候,发现包含uploadify插件的页面在刷新的时候总会报js错误。
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/chengyi_L/article/details/46415717

项目用到了uploadify插件,在调试IE兼容性的时候,发现包含uploadify插件的页面在刷新的时候总会报js错误。之后查找原因之后发现是因为,IE浏览器在页面刷新的时候不能对uploadify插件进行自动销毁,导致报flash错误。所以,在页面刷新,或者页面关闭之前,人为的对uploadify插件进行销毁就行了。

销毁代码:

if($('#file_upload').length>0){
$('#file_upload').uploadify('destroy'); 
}

加上之后调试,果然没有问题啦~



版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章